apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-api-server
  namespace: cilium-test
spec:
  egress:
    - toEndpoints:
        - {}
    - toEntities:
        - cluster
    - toEntities:
        - remote-node
    - toEntities:
        - world
  endpointSelector:
    matchLabels: {}
  ingress:
    - fromEntities:
        - cluster
    - fromEntities:
        - world
